#
# Conditional build:
%bcond_without	static_libs	# static library

Summary:	A library that performs asynchronous DNS operations
Summary(pl.UTF-8):	Biblioteka do wykonywania asynchronicznych zapytań DNS
Name:		c-ares
Version:	1.34.5
Release:	1
License:	MIT
Group:		Libraries
#Source0Download: https://c-ares.org/download/
Source0:	https://github.com/c-ares/c-ares/releases/download/v%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	2c6dae580c2ef4ca03c1a27959bb9727
Patch0:		%{name}-resolv.conf-reading-is-not-fatal.patch
URL:		https://c-ares.org/
BuildRequires:	autoconf >= 2.69
BuildRequires:	automake >= 1:1.9.6
# for tests
#BuildRequires:	gmock-devel
#BuildRequires:	libstdc++-devel >= 6:5
BuildRequires:	libtool >= 2:2
BuildRequires:	rpmbuild(macros) >= 1.527
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
c-ares is a C library that performs DNS requests and name resolves
asynchronously. c-ares is a fork of the library named 'ares', written
by Greg Hudson at MIT.

%description -l pl.UTF-8
c-ares jest napisaną w C biblioteką do asynchronicznego wykonywania
zapytań DNS. c-ares jest to fork biblioteki 'ares' napisanej przez
Grega Hudsona w MIT.

%package devel
Summary:	Development files for c-ares library
Summary(pl.UTF-8):	Pliki nagłówkowe dla biblioteki c-ares
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for c-ares library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki c-ares.

%package static
Summary:	Static c-ares library
Summary(pl.UTF-8):	Statyczna biblioteka c-ares
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static c-ares library.

%description static -l pl.UTF-8
Statyczna biblioteka c-ares.

%prep
%setup -q
%patch -P0 -p1

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules \
	%{__enable_disable static_libs static} \
	--disable-tests \
	--enable-shared

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# no external dependencies + obsoleted by pkg-config
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libcares.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS LICENSE.md README.md RELEASE-NOTES.md SECURITY.md
%attr(755,root,root) %{_libdir}/libcares.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libcares.so.2

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libcares.so
%{_includedir}/ares.h
%{_includedir}/ares_build.h
%{_includedir}/ares_dns.h
%{_includedir}/ares_dns_record.h
%{_includedir}/ares_nameser.h
%{_includedir}/ares_version.h
%{_mandir}/man3/ares_*.3*
%{_pkgconfigdir}/libcares.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libcares.a
%endif
%changelog
* Wed Apr 09 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/c-ares.git;a=log;h=master

* Wed Apr 09 2025 Jan Palus <atler@pld-linux.org> d39c025
- up to 1.34.5 (fixes CVE-2025-31498)

* Wed Apr 09 2025 Jan Palus <atler@pld-linux.org> 73e74ec
- use %patch -P

* Mon Dec 16 2024 Jan Palus <atler@pld-linux.org> 3b6d290
- up to 1.34.4

* Sun Nov 10 2024 Jan Palus <atler@pld-linux.org> f3c51d9
- up to 1.34.3

* Tue Nov 05 2024 Jakub Bogusz <qboosh@pld-linux.org> 6216a9a
- updated to 1.34.2

* Thu Oct 10 2024 Jan Palus <atler@pld-linux.org> 52da452
- up to 1.34.1

* Fri Aug 23 2024 Jan Palus <atler@pld-linux.org> 43d2c7a
- up to 1.33.1

* Sat Aug 03 2024 Jan Palus <atler@pld-linux.org> 1d8f4a6
- up to 1.33.0

* Wed Jul 24 2024 Jan Palus <atler@pld-linux.org> 249590e
- up to 1.32.3

* Thu Jul 18 2024 Jakub Bogusz <qboosh@pld-linux.org> 928359d
- updated to 1.32.2

* Mon Jul 08 2024 Jan Palus <atler@pld-linux.org> f553618
- up to 1.32.1

* Sat Jul 06 2024 Jan Palus <atler@pld-linux.org> 17bdf80
- up to 1.32.0

* Tue Jun 18 2024 Jan Palus <atler@pld-linux.org> 3b602c9
- up to 1.31.0

* Tue Jun 11 2024 Jakub Bogusz <qboosh@pld-linux.org> b318083
- updated to 1.30.0

* Mon May 27 2024 Jakub Bogusz <qboosh@pld-linux.org> c9a6024
- updated to 1.29.0

* Mon Apr 01 2024 Jakub Bogusz <qboosh@pld-linux.org> a2383a5
- updated to 1.28.1

* Mon Jan 29 2024 Jan Palus <atler@pld-linux.org> 1c92226
- up to 1.26.0

* Sun Dec 17 2023 Jan Palus <atler@pld-linux.org> 219d660
- up to 1.24.0

* Thu Nov 30 2023 Jan Palus <atler@pld-linux.org> d9bf016
- up to 1.23.0

* Mon Nov 20 2023 Jan Palus <atler@pld-linux.org> 68b1eab
- up to 1.22.1

